View Issue Details

IDProjectCategoryView StatusLast Update
0005894Simple:Pressdisplay - htmlpublic2018-02-10 00:41
ReporterYellow SwordfishAssigned ToYellow Swordfish 
PriorityhighSeverityN/AReproducibilityalways
Status closedResolutionfixed 
Product Version5.7.5.2 
Target Version5.8Fixed in Version5.8 
Summary0005894: Add display filter to deal with legacy non-SSL links if required
DescriptionNot only can this be a problem causing mixed content errors but some up to date browsers may refuse to display the linked content. The latest Firefox does for example.
TagsNo tags attached.
change_log_textAdd display filter to deal with legacy non-SSL links if required
typedefect

Activities

svn

svn

2018-02-08 11:09

administrator   ~0019790

Changeset [15638] by andy on 2018-02-08 06:09:28 -0500 (Thu, 08 Feb 2018)

Test issue 0005894
Simple display filter for legacy urls

 Changed Files:

U trunk/sp-api/sp-api-class-spcdisplayfilters.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15638
svn

svn

2018-02-09 09:51

administrator   ~0019791

Changeset [15639] by andy on 2018-02-09 04:51:59 -0500 (Fri, 09 Feb 2018)

Test issue 0005894
Simple display filter for legacy urls - now with constant and working both ways

 Changed Files:

U trunk/sp-api/sp-api-class-spcdisplayfilters.php
U trunk/sp-control.php
U trunk/sp-startup/forum/sp-forum-framework.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15639

Issue History

Date Modified Username Field Change
2018-02-08 11:08 Yellow Swordfish New Issue
2018-02-08 11:08 Yellow Swordfish Assigned To => Yellow Swordfish
2018-02-08 11:09 svn =>
2018-02-08 11:09 svn Note Added: 0019790
2018-02-08 11:09 svn Status new => testing
2018-02-09 09:51 svn =>
2018-02-09 09:51 svn Note Added: 0019791
2018-02-10 00:41 Mr Papa Status testing => closed
2018-02-10 00:41 Mr Papa Resolution open => fixed
2018-02-10 00:41 Mr Papa Fixed in Version => 5.8